> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Countries

> List all countries with gift card products available



## OpenAPI

````yaml api-reference/vaas-services-openapi.json GET /vaas/api/v1/gift-cards/countries
openapi: 3.1.0
info:
  title: PayVessel Value-Added Services API
  description: >-
    API reference for PayVessel biller reseller, eSIM, gift card, and flight
    services.
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - apiKey: []
    apiSecret: []
paths:
  /vaas/api/v1/gift-cards/countries:
    get:
      tags:
        - Gift Cards
        - Gift Cards
      summary: List Countries
      description: List all countries that have gift card products available
      operationId: list_countries_vaas_api_v1_gift_cards_countries_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCountriesResponseSchema'
        '424':
          description: Unable to reach upstream service
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Error message
                  data:
                    type: object
                    nullable: true
                  timestamp:
                    type: string
                    format: date-time
                    example: '2026-06-25T12:00:00+00:00'
                type: object
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Error message
                  data:
                    type: object
                    nullable: true
                  timestamp:
                    type: string
                    format: date-time
                    example: '2026-06-25T12:00:00+00:00'
                type: object
components:
  schemas:
    ListCountriesResponseSchema:
      properties:
        status:
          type: boolean
          title: Status
        message:
          type: string
          title: Message
        data:
          items:
            $ref: '#/components/schemas/CountrySchema'
          type: array
          title: Data
      type: object
      required:
        - status
        - message
        - data
      title: ListCountriesResponseSchema
    CountrySchema:
      properties:
        id:
          type: integer
          title: Id
        currency_code:
          type: string
          title: Currency Code
        name:
          type: string
          title: Name
        code:
          type: string
          title: Code
        fee:
          anyOf:
            - type: integer
            - type: 'null'
          title: Fee
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
      type: object
      required:
        - id
        - currency_code
        - name
        - code
      title: CountrySchema
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: api-key
      description: Your PayVessel business API key.
    apiSecret:
      type: apiKey
      in: header
      name: api-secret
      description: Your PayVessel business API secret.

````